=== modified file 'Makefile'
--- Makefile	2007-04-16 03:26:30 +0000
+++ Makefile	2007-04-19 02:27:44 +0000
@@ -62,24 +62,30 @@
 	python tools/rst2prettyhtml.py doc/bazaar-vcs.org.kid doc/$*.txt \
 	$(PRETTYDIR)/$*.htm
 
-doc/bzr_man.txt: bzrlib/builtins.py \
+MAN_DEPENDENCIES = bzrlib/builtins.py \
 		 bzrlib/bundle/commands.py \
 		 bzrlib/conflicts.py \
 		 bzrlib/sign_my_commits.py \
 		 generate_docs.py \
 		 tools/doc_generate/__init__.py \
 		 tools/doc_generate/autodoc_rstx.py
-	python generate_docs.py -o doc/bzr_man.txt rstx
-
-docs: $(htm_files) doc/HACKING.htm
+
+doc/bzr_man.txt: $(MAN_DEPENDENCIES)
+	python generate_docs.py -o $@ rstx
+
+MAN_PAGES = man1/bzr.1
+man1/bzr.1: $(MAN_DEPENDENCIES)
+	python generate_docs.py -o $@ man
+
+docs: $(htm_files) $(MAN_PAGES) doc/HACKING.htm
 
 copy-docs: docs
 	python tools/win32/ostools.py copytodir $(htm_files) doc/default.css NEWS README  win32_bzr.exe/doc
 
 # clean produced docs
 clean-docs:
-	python tools/win32/ostools.py remove doc/bzr_man.txt $(htm_files) \
-	$(HTMLDIR) $(PRETTYDIR)
+	python tools/win32/ostools.py remove $(htm_files) \
+	$(HTMLDIR) $(PRETTYDIR) doc/bzr_man.txt $(MAN_PAGES)
 
 
 # make bzr.exe for win32 with py2exe

=== modified file 'NEWS'
--- NEWS	2007-04-17 07:09:43 +0000
+++ NEWS	2007-04-19 02:27:44 +0000
@@ -8,6 +8,9 @@
     * ``selftest`` has new short options ``-f`` and ``-1``.  (Martin
       Pool)
 
+    * ``make docs`` now creates a man page at ``man1/bzr.1`` fixing bug 107388.
+      (Robert Collins)
+
   INTERNALS:
 
     * bzrlib API compatability with 0.8 has been dropped, cleaning up some

=== added directory 'man1'
